TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

Add ( alist A, any key, any val ) -> alist

### Optional Arguments

Fail | any |  | Determines what to return in case of failure.
Success | any | (Default: SUCCESS) | Determines what to return in case of success.

### Description

<shortdoc> Associate `key' with `val' in alist `A' if `key' was not already present and return the alist derived from this association or FAILURE in case `key' already had an association in `A'.
Note: This does not affect `A'. </shortdoc>

### Examples

A:=Alist(); Add(A,1,"foo");

### See also

Add ( alist, any, any ) -> alist

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack